HPCG-Benchmark version: 3.0
Release date: November 11, 2015
Machine Summary: 
  Distributed Processes: 180
  Threads per processes: 1
Global Problem Dimensions: 
  Global nx: 1536
  Global ny: 1536
  Global nz: 1280
Processor Dimensions: 
  npx: 6
  npy: 6
  npz: 5
Local Domain Dimensions: 
  nx: 256
  ny: 256
  nz: 256
########## Problem Summary  ##########: 
Setup Information: 
  Setup Time: 22.5601
Linear System Information: 
  Number of Equations: 3019898880
  Number of Nonzero Terms: 81424075768
Multigrid Information: 
  Number of coarse grid levels: 3
  Coarse Grids: 
    Grid Level: 1
    Number of Equations: 377487360
    Number of Nonzero Terms: 10163873272
    Number of Presmoother Steps: 1
    Number of Postsmoother Steps: 1
    Grid Level: 2
    Number of Equations: 47185920
    Number of Nonzero Terms: 1266955000
    Number of Presmoother Steps: 1
    Number of Postsmoother Steps: 1
    Grid Level: 3
    Number of Equations: 5898240
    Number of Nonzero Terms: 157489528
    Number of Presmoother Steps: 1
    Number of Postsmoother Steps: 1
########## Memory Use Summary  ##########: 
Memory Use Information: 
  Total memory used for data (Gbytes): 2167.4
  Memory used for OptimizeProblem data (Gbytes): 8.35781
  Bytes per equation (Total memory / Number of Equations): 717.708
  Memory used for linear system and CG (Gbytes): 1900.08
  Coarse Grids: 
    Grid Level: 1
    Memory used: 227.013
    Grid Level: 2
    Memory used: 28.3948
    Grid Level: 3
    Memory used: 3.55401
########## V&V Testing Summary  ##########: 
Spectral Convergence Tests: 
  Result: PASSED
  Unpreconditioned: 
    Maximum iteration count: 10
    Expected iteration count: 12
  Preconditioned: 
    Maximum iteration count: 2
    Expected iteration count: 2
Departure from Symmetry |x'Ay-y'Ax|/(2*||x||*||A||*||y||)/epsilon: 
  Result: PASSED
  Departure for SpMV: 2.59926e-14
  Departure for MG: 0
########## Iterations Summary  ##########: 
Iteration Count Information: 
  Result: PASSED
  Reference CG iterations per set: 50
  Optimized CG iterations per set: 54
  Total number of reference iterations: 14300
  Total number of optimized iterations: 15444
########## Reproducibility Summary  ##########: 
Reproducibility Information: 
  Result: PASSED
  Scaled residual mean: 0.00491213
  Scaled residual variance: 0
########## Performance Summary (times in sec) ##########: 
Benchmark Time Summary: 
  Optimization phase: 16.3946
  DDOT: 328.062
  WAXPBY: 60.983
  SpMV: 132.013
  MG: 1631.1
  Total: 2153.66
Floating Point Operations Summary: 
  Raw DDOT: 2.81563e+14
  Raw WAXPBY: 2.81563e+14
  Raw SpMV: 2.5616e+15
  Raw MG: 1.43502e+16
  Total: 1.7475e+16
  Total with convergence overhead: 1.61805e+16
GB/s Summary: 
  Raw Read B/W: 49977.1
  Raw Write B/W: 11551.2
  Raw Total B/W: 61528.4
  Total with convergence and optimization phase overhead: 37547.2
GFLOP/s Summary: 
  Raw DDOT: 858.262
  Raw WAXPBY: 4617.08
  Raw SpMV: 19404.1
  Raw MG: 8797.91
  Raw Total: 8114.09
  Total with convergence overhead: 7513.05
  Total with convergence and optimization phase overhead: 4951.56
User Optimization Overheads: 
  Optimization phase time (sec): 16.3946
  Optimization phase time vs reference SpMV+MG time: 1.67732
DDOT Timing Variations: 
  Min DDOT MPI_Allreduce time: 182.543
  Max DDOT MPI_Allreduce time: 278.732
  Avg DDOT MPI_Allreduce time: 225.196
__________ Final Summary __________: 
  HPCG result is VALID with a GFLOP/s rating of: 4951.56
      HPCG 2.4 Rating (for historical value) is: 6169.78
  Please upload results from the YAML file contents to: http://hpcg-benchmark.org
